%define major 0
%define api 1
%define libname %mklibname lqr %{api} %{major}
%define devname %mklibname lqr %{api} -d

Summary:	LiquidRescale seam-carving library
Name:		liblqr
Version:	0.4.1
Release:	11
License:	LGPLv3+ and GPLv3+
Group:		System/Libraries
Url:		http://liblqr.wikidot.com/
Source0:	%{name}-%{api}-%{version}.tar.bz2
Patch0:		liblqr-docbook_fixes.diff
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(glib-2.0)

%description
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	LiquidRescale seam-carving library
Group:		System/Libraries
Conflicts:	%{_lib}lqr0 < 0.4.1-11
Obsoletes:	%{_lib}lqr0 < 0.4.1-11

%description -n %{libname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%files -n %{libname}
%doc COPYING
%{_libdir}/liblqr-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development library and header files for the LiquidRescale library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	lqr-devel = %{EVRD}
Conflicts:	%{_lib}lqr-devel < 0.4.1-11
Obsoletes:	%{_lib}lqr-devel < 0.4.1-11

%description -n %{devname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

This package contains the static LiquidRescale library and its header files.

%files -n %{devname}
%doc AUTHORS COPYING ChangeLog README
%doc docs/html/* examples
%dir %{_includedir}/lqr-%{api}
%dir %{_includedir}/lqr-%{api}/lqr
%{_includedir}/lqr-%{api}/*.h
%{_includedir}/lqr-%{api}/lqr/*.h
%{_libdir}/liblqr-%{api}.so
%{_libdir}/pkgconfig/lqr-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{api}-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static

%make

# make the html docs
pushd docs
make
popd

%install
%makeinstall_std


%changelog
* Fri Dec 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.4.1-11
+ Revision: d6ddf52
- Rename library and devel packages according to packaging policy


